
Foreman - Bug #16379

Improve layout of host name randomization button

08/30/2016 07:13 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3792

  

Description

Currently, the randomization link adds a line to the host form, causing the layout to break.

This could be fixed by moving the icon into the input field.

Related issues:

Related to Foreman - Feature #13768: Provide a default hostname Closed 02/17/2016

Associated revisions

Revision 3b6f9323 - 09/01/2016 04:28 AM - Tomer Brisker

Fixes #16379 - Improve layout of hostname randomize button

This moves the button from being a line of its own to a button in the

input.

Also changed the form helper to streamline adding button to inputs and

got rid of a useless helper.

History

#1 - 08/30/2016 07:14 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3792 added

#2 - 08/30/2016 07:14 AM - Tomer Brisker

- Related to Feature #13768: Provide a default hostname added

#3 - 08/30/2016 11:07 AM - Tomer Brisker

- Target version set to 1.6.2

#4 - 09/01/2016 05:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3b6f9323cd186c355a8519d887cc13c30c5e2276.

#5 - 09/01/2016 07:20 AM - Dominic Cleal

- translation missing: en.field_release set to 160
